## hevea 2.34

=== Makefile ===
#### Standard configuration parameters
# Compile using ocamlopt, to use ocamlc set TARGET=byte
TARGET=opt
# Install prefix
PREFIX?=/usr/local
# Library directory of hevea
LIBDIR=$(PREFIX)/lib/hevea
# Where to install programms
BINDIR=$(PREFIX)/bin
#Where to install hevea.sty
LATEXLIBDIR=$(PREFIX)/lib/hevea
##### Advanced configuration parameters
SUF=
DIR=
OCAMLC=$(DIR)ocamlc$(SUF)
#OCAMLFLAGS=-w +a-4-9 -warn-error +a
OCAMLFLAGS=-w +a-3-4-9-41-45-67
OCBFLAGS=-j 4 -classic-display

#### End of configuration parameters
#### The Makefile uses ocamlbuild if present.
PGM=hevea.byte hacha.byte esponja.byte bibhva.byte
PGMNATIVE=$(PGM:.byte=.native)

all: $(TARGET)

install: config.sh
	./install.sh $(TARGET)

byte: ocb-byte
opt: ocb-opt
both: ocb-both

include libs.def

config.sh: Makefile libs.def handle402.sh
	@( cat handle402.sh &&\
	echo PGM=\"$(PGM)\" &&\
	echo PGMNATIVE=\"$(PGMNATIVE)\" &&\
	echo BINDIR=$(BINDIR) &&\
	echo LIBDIR=$(LIBDIR) &&\
	echo LATEXLIBDIR=$(LATEXLIBDIR) &&\
	echo OCAMLFLAGS=\"$(OCAMLFLAGS)\" &&\
	echo OCBFLAGS=\"$(OCBFLAGS)\" &&\
	echo ALLLIB=\"$(ALLLIB)\" && \
	echo HTMLLIB=\"$(HTMLLIB)\" && \
	echo TEXTLIB=\"$(TEXTLIB)\" && \
	echo INFOLIB=\"$(INFOLIB)\") > $@

clean:: config.sh
	sh ocb.sh clean && rm config.sh

ocb-byte: config.sh
	sh ocb.sh byte

ocb-opt: config.sh
	sh ocb.sh opt

ocb-both: config.sh
	sh ocb.sh both

ocb: ocb-$(TARGET)


clean::
	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*#

=== examples/Makefile ===
LATEX=latex
HEVEA=hevea
BIBHVA=bibhva
HEVEAOPTS=-fix -O -rsz 16
HACHA=hacha
EXDIR=$(HOME)/public_html/hevea/examples
HTML=a.html pat.html suite.html env.html smile.html amstex.html graphics.html graphicx.html verbs.html style-test.html amssymb-test.html
HVA=env.hva  pat.hva  smile.hva  st.hva  suite-macros.hva
STY=suite-macros.sty hevea.sty
TEX=$(HTML:.html=.tex)
DVI=a.dvi pat.dvi suite.dvi amstex.dvi verbs.dvi
TEXT=a.txt pat.txt suite.txt env.txt
INFO=$(TEXT:.txt=.info)


all: dvi html text info test-opt

opt:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS) HEVEAOPTS="$(HEVEAOPTS)" HEVEA=../hevea.opt HACHA=../hacha.opt BIBHVA=../bibhva.opt html

byte:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS)  HEVEAOPTS="$(HEVEAOPTS)" HEVEA=../hevea.byte HACHA=../hacha.byte BIBHVA=../bibhva.byte html

dvi: $(DVI)

SUITE=suite.html test.html di.html mp.html lis.html lis2.html\
 acc.html sym.html natbib.html list.html

sym.html:sym.tex st.hva

natbib.html: natbib.tex
	$(HEVEA) $(HEVEAOPTS) natbib.tex
	$(BIBHVA) natbib
	$(HEVEA) $(HEVEAOPTS) natbib.tex

test-opt:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS) HEVEAOPTS="$(HEVEAOPTS)" HEVEA=../hevea.opt HACHA=../hacha.opt BIBHVA=../bibhva.opt test

test: $(SUITE) cart-index.html cart-bis-index.html cart-ter-index.html cbook-index.html

TDIR=$(HOME)/public_html/hevea/examples/test
install-test:
	-mkdir -p $(TDIR)
	cp $(SUITE) $(TDIR)
	mv $(TDIR)/test.html $(TDIR)/index.html
	cp *_motif.gif $(TDIR)
	cp cart-index.html cart.css cart[0-9][0-9][0-9].html  $(TDIR)
	cp cart-bis-index.html cart-bis.css cart-bis[0-9][0-9][0-9].html  $(TDIR)
	cp cart-ter-index.html cart-ter.css cart-ter[0-9][0-9][0-9].html  $(TDIR)
	cp cbook-index.html cbook.css cbook[0-9][0-9][0-9].html  $(TDIR)

clean-test::
	/bin/rm -f $(SUITE) cart.html  cart-ter.html cart-bis.html cbook.html natbib.hbbl

cart-index.html: cart.html
	$(HACHA) -o cart-index.html cart.html

cart-bis-index.html: cart-bis.html
	$(HACHA) -tocbis -o cart-bis-index.html cart-bis.html

cart-ter-index.html: cart-ter.html
	$(HACHA) -tocbis -o cart-ter-index.html cart-ter.html

cbook-index.html: cbook.html
	$(HACHA) -o cbook-index.html cbook.html

clean-test::
	/bin/rm -f cart[0-9][0-9][0-9].html cart.css cart-index.html cart.htoc
	/bin/rm -f cart-bis[0-9][0-9][0-9].html cart-bis.css cart-bis-index.html cart-bis.htoc
	/bin/rm -f cart-ter[0-9][0-9][0-9].html cart-ter.css cart-ter-index.html cart-ter.htoc
	/bin/rm -f cbook[0-9][0-9][0-9].html cbook.css cbook-index.html cbook.htoc
	/bin/rm -f natbib.blg natbib.htoc suite.htoc sym.htoc

clean:: clean-test

byte-test:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS)  HEVEAOPTS="$(TOPTS) $(HEVEAOPTS)" HEVEA=../hevea.byte HACHA=../hacha.byte BIBHVA=../bibhva.byte test

opt-test:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS)  HEVEAOPTS="$(TOPTS) $(HEVEAOPTS)" HEVEA=../hevea.opt HACHA=../hacha.opt BIBHVA=../bibhva.opt test



html: $(HTML) index.html
text: $(TEXT)
info: $(INFO)

install:
	/bin/rm -rf $(EXDIR)
	mkdir $(EXDIR)
	cp *.gif *.png $(HTML) index.html sym.html tmp.css tmp*.html conclusion.html benchmarks.html hp.c $(EXDIR)
	-cp $(TEXT) $(EXDIR)
	cp Makefile $(TEX) pat.def  $(EXDIR)
	cp $(DVI) $(EXDIR)
	cp $(HVA) $(EXDIR)
	cp $(STY) $(EXDIR)
	$(MAKE) $(MFLAGS) install-test TDIR="$(EXDIR)/test"

a.dvi: a.tex
	$(LATEX) < /dev/null a.tex

a.html: a.tex
	$(HEVEA) $(HEVEAOPTS) a.tex

a.txt : a.tex
	$(HEVEA) $(HEVEAOPTS) -text a.tex

a.info : a.tex
	$(HEVEA) $(HEVEAOPTS) -info a.tex

tmp.tex: pat.def pat.tex
	gpic -t < pat.tex > tmp.tex

hevea.sty: ../hevea.sty
	cp ../hevea.sty .

tmp.bbl pat.dvi: tmp.tex hevea.sty
	$(LATEX) tmp.tex < /dev/null
	bibtex tmp ;
	$(LATEX) tmp.tex < /dev/null
	$(LATEX) tmp.tex < /dev/null
	mv tmp.dvi pat.dvi

tmp.html: tmp.tex pat.hva tmp.bbl 
	$(HEVEA) $(HEVEAOPTS) pat.hva -e pat.def tmp.tex
pat.txt: tmp.tex pat.hva tmp.bbl 
	$(HEVEA) $(HEVEAOPTS) -text pat.hva -e pat.def -o pat.txt tmp.tex
pat.info: tmp.tex pat.hva tmp.bbl 
	$(HEVEA) $(HEVEAOPTS) -info pat.hva -e pat.def -o pat.info tmp.tex

pat.html: tmp.html
	$(HACHA) -o pat.html tmp.html

tenv.tex: env.tex
	gpic -t < env.tex > tenv.tex

env.dvi:tenv.tex 
	$(LATEX) < /dev/null tenv.tex
	mv tenv.dvi env.dvi

env.html: env.hva tenv.tex
	$(HEVEA) $(HEVEAOPTS) env.hva -o env.html tenv.tex
env.txt env.info:


tsmile.tex: smile.tex
	gpic -t < smile.tex > tsmile.tex

smile.dvi:tsmile.tex 
	$(LATEX) < /dev/null tsmile.tex
	mv tsmile.dvi smile.dvi

smile.html: smile.hva tsmile.tex
	$(HEVEA) $(HEVEAOPTS) smile.hva -o smile.html tsmile.tex
smile.txt smile.info:

suite.dvi: suite.tex
	$(LATEX) < /dev/null suite.tex
	makeindex suite
	$(LATEX) < /dev/null suite.tex
	$(LATEX) < /dev/null suite.tex

suite.html: suite.tex
	$(HEVEA) $(HEVEAOPTS) suite.tex
suite.txt: suite.tex
	$(HEVEA) $(HEVEAOPTS) -text suite.tex
suite.info: suite.tex
	$(HEVEA) $(HEVEAOPTS) -info suite.tex

amstex.dvi: amstex.tex
	latex < /dev/null amstex.tex

amstex.html: amstex.tex
	$(HEVEA) $(HEVEAOPTS) amstex

amstex.txt: amstex.tex
	$(HEVEA) $(HEVEAOPTS) -text amstex
amstex.info: amstex.tex
	$(HEVEA) $(HEVEAOPTS) -info amstex

HF.ps: HF.ps.gz
	gunzip < HF.ps.gz > HF.ps

graphics.dvi: graphics.tex HF.ps
	latex < /dev/null graphics.tex


graphics.html: graphics.tex HF.ps
	$(HEVEA) $(HEVEAOPTS) graphics
graphics.txt graphics.info:

graphicx.dvi: HF.ps graphicx.tex
	latex < /dev/null graphicx.tex

graphicx.html: graphicx.tex HF.ps
	$(HEVEA) $(HEVEAOPTS) png.hva graphicx
graphicx.txt graphicx.info:

verbs.dvi: verbs.tex
	latex < /dev/null verbs.tex

verbs.html: verbs.tex
	$(HEVEA) $(HEVEAOPTS) verbs

verbs.txt verbs.info:

index.html: index.tex
	$(HEVEA) $(HEVEAOPTS) index.tex

cleanhtml:
	rm -f $(HTML) index.html tmp.html tmp*.html conclusion.html benchmarks.html
cleantext:
	rm -f $(TEXT)
cleaninfo:
	rm -f *.info *.info-*

clean:: cleanhtml cleantext cleaninfo
	rm -f *.aux *.log *.dvi *~ *.gif *.pnm *.png *.bbl tmp.* tenv.* tsmile.* *.ilg *.ind *.idx *.image.tex  *.tid HF.ps *.haux *.hidx *.hind
	/bin/rm -f hevea.sty

.SUFFIXES: .tex .html

.tex.html:
	$(HEVEA) -fix $(HEVEAOPTS) $<

=== debian/changelog ===
hevea (2.34-2) unstable; urgency=medium

  * Mark hevea as Multi-Arch: foreign (closes: #956278).
    Thanks to Helmut Grohne for the patch.

 -- Ralf Treinen <treinen@debian.org>  Thu, 09 Apr 2020 12:58:26 +0200

hevea (2.34-1) unstable; urgency=medium

  * New upstream version.
  * Compile to native code when possible:
    - Make this an Architecture=any package.
    - Check OCAML_HAVE_OCAMLOPT to do the right thing in the build and
      install targets of debian/rules.
    - Add dependency on ${shlibs:Depends}
  * Drop override of dh_auto_clean which is not useful
  * Build-depend on debian-compat, remove file debian/compat
  * Debhelper compatibility level 12 (no change)
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 08 Apr 2020 12:45:12 +0200

hevea (2.32-3) unstable; urgency=medium

  * Recompile with ocaml 4.08
  * Standards-Version 4.4.1 (no change)
  * as-installed tests: replace ${ADTTMP} by ${AUTOPKGTEST_TMP}

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Nov 2019 08:53:19 +0100

=== debian/control ===
Source: hevea
Section: tex
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper-compat (=12),
 tex-common,
 dh-ocaml,
 ocaml-nox (>= 4),
 ocamlbuild
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ocaml-team/hevea
Vcs-Git: https://salsa.debian.org/ocaml-team/hevea.git
Homepage: http://hevea.inria.fr/

Package: hevea
Architecture: any
Multi-Arch: foreign
Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
 ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
Suggests: hevea-doc, texlive-latex-extra
Description: translates from LaTeX to HTML, info, or text
 Its remarkable features are
  - It produces good output. Special symbols (like mathematical symbols) are
    translated into HTML entities which should be rendered by any graphical
    browser. Picture files are only generated on demand, for instance when
    translating graphics.
  - It is highly configurable through (La)TeX macros. Though aimed at
    LaTeX input it understands a fair subset of TeX's macro language.
  - It runs fast.

=== debian/watch ===
version=2
http://hevea.inria.fr/distri/hevea-([0-9\.]*)\.tar\.gz

## hevea 2.35

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	echo INFOLIB=\"$(INFOLIB)\") > $@
 
 clean:: config.sh
-	sh ocb.sh clean && rm config.sh
+	sh ocb.sh clean && rm -f config.sh
 
 ocb-byte: config.sh
 	sh ocb.sh byte

=== examples/Makefile ===
--- 
+++ 
@@ -4,14 +4,14 @@
 HEVEAOPTS=-fix -O -rsz 16
 HACHA=hacha
 EXDIR=$(HOME)/public_html/hevea/examples
-HTML=a.html pat.html suite.html env.html smile.html amstex.html graphics.html graphicx.html verbs.html style-test.html amssymb-test.html
+HTML=a.html pat.html suite.html env.html smile.html amstex.html graphics.html graphicx.html verbs.html style-test.html amssymb-test.html boxes.html
 HVA=env.hva  pat.hva  smile.hva  st.hva  suite-macros.hva
 STY=suite-macros.sty hevea.sty
 TEX=$(HTML:.html=.tex)
 DVI=a.dvi pat.dvi suite.dvi amstex.dvi verbs.dvi
 TEXT=a.txt pat.txt suite.txt env.txt
 INFO=$(TEXT:.txt=.info)
-
+PDF=boxes.pdf
 
 all: dvi html text info test-opt
 
@@ -212,18 +212,27 @@
 index.html: index.tex
 	$(HEVEA) $(HEVEAOPTS) index.tex
 
+#############
+pdf: $(PDF)
+
+##############Clean
 cleanhtml:
 	rm -f $(HTML) index.html tmp.html tmp*.html conclusion.html benchmarks.html
 cleantext:
 	rm -f $(TEXT)
 cleaninfo:
 	rm -f *.info *.info-*
-
-clean:: cleanhtml cleantext cleaninfo
-	rm -f *.aux *.log *.dvi *~ *.gif *.pnm *.png *.bbl tmp.* tenv.* tsmile.* *.ilg *.ind *.idx *.image.tex  *.tid HF.ps *.haux *.hidx *.hind
-	/bin/rm -f hevea.sty
-
-.SUFFIXES: .tex .html
+cleanpdf:
+	rm -f $(PDF)
+
+clean:: cleanhtml cleantext cleaninfo cleanpdf
+	rm -f *.aux *.log *.dvi *~ *.gif *.pnm *.png *.bbl tmp.* tenv.* tsmile.* *.ilg *.ind *.idx *.image.tex  *.tid HF.ps *.haux *.hidx *.hind *.cut contents_motif.svg next_motif.svg previous_motif.svg
+
+
+.SUFFIXES: .tex .html .pdf
 
 .tex.html:
 	$(HEVEA) -fix $(HEVEAOPTS) $<
+
+.tex.pdf:
+	rubber -d -f  $<

=== debian/examples/bibtex/Makefile ===
context.html: context.tex context.hbbl
	hevea -fix context.tex

context.hbbl: context.tex rewriting.bib
	hevea context
	bibhva context

ifeq ($(wildcard rewriting.bib.gz),rewriting.bib.gz)
rewriting.bib: rewriting.bib.gz
	gunzip -c rewriting.bib.gz > rewriting.bib
endif

context.ps: context.dvi
	dvips -o context.ps context.dvi

context.dvi: context.tex context.bbl
	latex context
	bibtex context
	latex context
	-(grep -q "Rerun" context.log && latex context)
	-(grep -q "Rerun" context.log && latex context)

clean:
	rm -f *.ps *.dvi *.html *.aux *.haux *log *.blg *.bbl *.hbbl

=== debian/changelog ===
hevea (2.35-1build1) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 07 Nov 2021 01:59:19 +0100

hevea (2.35-1) unstable; urgency=medium

  * New upstream release.
  * Switch debian/watch to version 4
  * Set Rules-Requires-Root: no
  * Standards-version 4.6.0 (no change)
  * Debhelper compat level 13 (no change)
  * Add debian/upstream/metadata
  * Patch typos: fix typos found by lintian.
  * Patch iso8859-to-utf8: convert some ISO 8859-1 comments to UTF8

 -- Ralf Treinen <treinen@debian.org>  Thu, 14 Oct 2021 21:14:50 +0200

## hevea 2.36

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DIR=
 OCAMLC=$(DIR)ocamlc$(SUF)
 #OCAMLFLAGS=-w +a-4-9 -warn-error +a
-OCAMLFLAGS=-w +a-3-4-9-41-45-67
+OCAMLFLAGS=-w +a-4-9-41-45-67-70
 OCBFLAGS=-j 4 -classic-display
 
 #### End of configuration parameters
@@ -26,6 +26,9 @@
 
 install: config.sh
 	./install.sh $(TARGET)
+
+uninstall: config.sh
+	./uninstall.sh
 
 byte: ocb-byte
 opt: ocb-opt

=== debian/changelog ===
hevea (2.36-2build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Oct 2025 20:50:03 +0100

hevea (2.36-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove constraints unnecessary since buster (oldstable):
    + hevea: Drop versioned constraint on netpbm in Depends.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:02:21 +0200

hevea (2.36-1) unstable; urgency=medium

  * New upstream version
  * Drop patches "typos" and "iso8859-to-utf8" which are applied upstream
  * Add dependency on imagemagick (closes: #1008482)
  * Bump minimal version of ocaml to 4.8, as indicated by upstream
  * Standards-Version 4.6.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Sep 2022 21:04:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,21 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  tex-common,
  dh-ocaml,
- ocaml-nox (>= 4),
+ ocaml,
  ocamlbuild
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/hevea
 Vcs-Git: https://salsa.debian.org/ocaml-team/hevea.git
-Homepage: http://hevea.inria.fr/
+Homepage: https://hevea.inria.fr/
 
 Package: hevea
 Architecture: any
 Multi-Arch: foreign
-Depends: ghostscript, netpbm(>=2:9.10-1), texlive-base ,
+Depends: ghostscript, netpbm, texlive-base, imagemagick,
  ${ocaml:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Suggests: hevea-doc, texlive-latex-extra
 Description: translates from LaTeX to HTML, info, or text

=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR = debian/hevea

include /usr/share/ocaml/ocamlvars.mk
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	TARGET:=opt
else
	TARGET:=byte
endif

%:
	dh $@ --with=ocaml,tex

override_dh_auto_configure:
	-rm config.sh
	$(MAKE) config.sh\
		PREFIX=/usr\
		LIBDIR=/usr/share/hevea\
		LATEXLIBDIR=/usr/share/texmf/tex/latex/misc

override_dh_auto_build:
	$(MAKE) $(TARGET)

override_dh_auto_install:
	$(MAKE) install TARGET=$(TARGET) DESTDIR=$(DEB_DESTDIR)
	-rm $(DEB_DESTDIR)/usr/share/hevea/imagen

=== debian/tests/control ===
Tests: examples, source-date-epoch
Depends: @, texlive-latex-base
